<?php

/**
 * Overrides the _search_item hook. 
 * Returns a nice html output of each found item.
 */
function theme_swish_search_item($item){
  global $base_url;
  $extra = $item['extra'];

  $output = '<div style="line-height: 20px;"><img src="'.$base_url.'/modules/swish/images/'. strtolower($extra['file_type'])
    .'.png" width="15" height="15" style="display: inline">&nbsp;' . l($item['title'], $item['link']) . '<br/>';

  if ($item['snippet']) {
    $output .= $item['snippet'].'<br />';
  }

  $output .= '<small>Rank: <strong>'. $extra['rank'] .'</strong>&nbsp;&nbsp;&nbsp;File Size: <strong>'
    .$extra['file_size'] .'</strong>&nbsp;&nbsp;&nbsp;Containing Node: <strong>' . l($item['node']->title, 'node/'.$item['node']->nid) . '</strong></small><br/></div>';

  return $output;
}

/**
 * Overrides the theme_search_page
 */
function swish_search_page($results, $type = NULL) {
  $output = '<dl class="search-results">';

  foreach ($results as $entry) {
    $output .= theme('swish_search_item', $entry);
  }
  $output .= '</dl>';
  $output .= theme('pager', NULL, 10, 0);

  return $output;
}
